> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/stock-availability-thresholds.md).

# Stock Availability Thresholds

Endpoints to create, update, and read stock availability thresholds.

## Create stock availability threshold configuration

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Creates a new stock availability threshold configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read stock availability thresholds.","name":"Stock availability thresholds"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"StockAvailabilityThresholdConfigForCreation":{"properties":{"target":{"allOf":[{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigTarget"}],"description":"Targeting definition (context entries) this threshold configuration applies to"},"tenantThresholdId":{"description":"Tenant-unique identifier of this threshold configuration","type":"string"},"thresholds":{"description":"List of threshold level groups, each evaluated against a distinct stock field. Currently limited to a single entry.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigGroup"},"maxItems":1,"type":"array"}},"required":["target","thresholds","tenantThresholdId"],"title":"StockAvailabilityThresholdConfigForCreation","type":"object","description":"StockAvailabilityThresholdConfigForCreation"},"StockAvailabilityThresholdConfigTarget":{"properties":{"context":{"description":"Targeting definition (context entries) this threshold configuration applies to","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigContext"},"maxItems":5,"type":"array"}},"required":["context"],"title":"StockAvailabilityThresholdConfigTarget","type":"object","description":"StockAvailabilityThresholdConfigTarget"},"StockAvailabilityThresholdConfigContext":{"properties":{"type":{"description":"Type of the targeted context entry","enum":["ARTICLE","CATEGORY","FACILITY","FACILITY_GROUP"],"type":"string"},"values":{"description":"Values for the targeted context entry","items":{"type":"string"},"maxItems":5,"type":"array"}},"required":["type","values"],"title":"StockAvailabilityThresholdConfigContext","type":"object","description":"StockAvailabilityThresholdConfigContext"},"StockAvailabilityThresholdConfigGroup":{"properties":{"levels":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigLevel"},"maxItems":5,"type":"array"},"thresholdOnValue":{"description":"Stock field this threshold group is evaluated against","enum":["AVAILABLE_FOR_PICKING","STOCK_ON_HAND"],"type":"string"}},"required":["thresholdOnValue","levels"],"title":"StockAvailabilityThresholdConfigGroup","type":"object","description":"StockAvailabilityThresholdConfigGroup"},"StockAvailabilityThresholdConfigLevel":{"properties":{"key":{"description":"Unique key of a threshold level within its group","type":"string"},"limit":{"description":"Cutoff stock quantity of a threshold level","minimum":0,"type":"integer"},"sticker":{"allOf":[{"$ref":"#/components/schemas/Sticker"}],"description":"UI displays for stock that falls into this threshold level"}},"required":["key","limit"],"title":"StockAvailabilityThresholdConfigLevel","type":"object","description":"StockAvailabilityThresholdConfigLevel"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"StockAvailabilityThresholdConfig":{"properties":{"created":{"description":"Creation date of this stockAvailabilityThresholdConfig","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this stockAvailabilityThresholdConfig","type":"string"},"lastModified":{"description":"Last modification date of this stockAvailabilityThresholdConfig","format":"date-time","type":"string"},"target":{"allOf":[{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigTarget"}],"description":"Targeting definition (context entries) this threshold configuration applies to"},"tenantThresholdId":{"description":"Tenant-unique identifier of this threshold configuration","type":"string"},"thresholds":{"description":"List of threshold level groups, each evaluated against a distinct stock field. Currently limited to a single entry.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigGroup"},"maxItems":1,"type":"array"},"version":{"description":"Version number of this stockAvailabilityThresholdConfig","type":"number"}},"required":["target","thresholds","id","version","created","lastModified"],"title":"StockAvailabilityThresholdConfig","type":"object","description":"StockAvailabilityThresholdConfig"},"StockAvailabilityThresholdConfigValidationError":{"properties":{"description":{"description":"The version provided within an invalid request.","type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"description":"One or more mandatory attributes were not provided.","type":"string"},"validations":{"description":"The business validation issues that prevented the threshold configuration from being saved.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigValidationIssue"},"type":"array"},"version":{"format":"int64","type":"integer"}},"required":["summary","validations"],"title":"StockAvailabilityThresholdConfigValidationError","type":"object","description":"StockAvailabilityThresholdConfigValidationError"},"StockAvailabilityThresholdConfigValidationIssue":{"properties":{"field":{"description":"The field that failed validation, if the issue can be attributed to a single field.","type":"string"},"message":{"description":"A human-readable description of the validation failure.","type":"string"}},"required":["message"],"title":"StockAvailabilityThresholdConfigValidationIssue","type":"object","description":"StockAvailabilityThresholdConfigValidationIssue"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/availability/thresholds":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Creates a new stock availability threshold configuration.","operationId":"postStockAvailabilityThresholdConfig","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfig"}}},"description":"The created stock availability threshold configuration"},"400":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigValidationError"},"type":"array"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create stock availability threshold configuration","tags":["Stock availability thresholds"]}}}}
```

## Get stock availability threshold configuration

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Returns a single stock availability threshold configuration by id.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read stock availability thresholds.","name":"Stock availability thresholds"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"StockAvailabilityThresholdConfig":{"properties":{"created":{"description":"Creation date of this stockAvailabilityThresholdConfig","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this stockAvailabilityThresholdConfig","type":"string"},"lastModified":{"description":"Last modification date of this stockAvailabilityThresholdConfig","format":"date-time","type":"string"},"target":{"allOf":[{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigTarget"}],"description":"Targeting definition (context entries) this threshold configuration applies to"},"tenantThresholdId":{"description":"Tenant-unique identifier of this threshold configuration","type":"string"},"thresholds":{"description":"List of threshold level groups, each evaluated against a distinct stock field. Currently limited to a single entry.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigGroup"},"maxItems":1,"type":"array"},"version":{"description":"Version number of this stockAvailabilityThresholdConfig","type":"number"}},"required":["target","thresholds","id","version","created","lastModified"],"title":"StockAvailabilityThresholdConfig","type":"object","description":"StockAvailabilityThresholdConfig"},"StockAvailabilityThresholdConfigTarget":{"properties":{"context":{"description":"Targeting definition (context entries) this threshold configuration applies to","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigContext"},"maxItems":5,"type":"array"}},"required":["context"],"title":"StockAvailabilityThresholdConfigTarget","type":"object","description":"StockAvailabilityThresholdConfigTarget"},"StockAvailabilityThresholdConfigContext":{"properties":{"type":{"description":"Type of the targeted context entry","enum":["ARTICLE","CATEGORY","FACILITY","FACILITY_GROUP"],"type":"string"},"values":{"description":"Values for the targeted context entry","items":{"type":"string"},"maxItems":5,"type":"array"}},"required":["type","values"],"title":"StockAvailabilityThresholdConfigContext","type":"object","description":"StockAvailabilityThresholdConfigContext"},"StockAvailabilityThresholdConfigGroup":{"properties":{"levels":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigLevel"},"maxItems":5,"type":"array"},"thresholdOnValue":{"description":"Stock field this threshold group is evaluated against","enum":["AVAILABLE_FOR_PICKING","STOCK_ON_HAND"],"type":"string"}},"required":["thresholdOnValue","levels"],"title":"StockAvailabilityThresholdConfigGroup","type":"object","description":"StockAvailabilityThresholdConfigGroup"},"StockAvailabilityThresholdConfigLevel":{"properties":{"key":{"description":"Unique key of a threshold level within its group","type":"string"},"limit":{"description":"Cutoff stock quantity of a threshold level","minimum":0,"type":"integer"},"sticker":{"allOf":[{"$ref":"#/components/schemas/Sticker"}],"description":"UI displays for stock that falls into this threshold level"}},"required":["key","limit"],"title":"StockAvailabilityThresholdConfigLevel","type":"object","description":"StockAvailabilityThresholdConfigLevel"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/availability/thresholds/{thresholdId}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Returns a single stock availability threshold configuration by id.","operationId":"getStockAvailabilityThresholdConfig","parameters":[{"in":"path","name":"thresholdId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfig"}}},"description":"The stock availability threshold configuration"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get stock availability threshold configuration","tags":["Stock availability thresholds"]}}}}
```

## Update stock availability threshold configuration

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Updates an existing stock availability threshold configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read stock availability thresholds.","name":"Stock availability thresholds"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"StockAvailabilityThresholdConfigForUpdate":{"properties":{"id":{"description":"Unique identifier of this stockAvailabilityThresholdConfig","type":"string"},"target":{"allOf":[{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigTarget"}],"description":"Targeting definition (context entries) this threshold configuration applies to"},"thresholds":{"description":"List of threshold level groups, each evaluated against a distinct stock field. Currently limited to a single entry.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigGroup"},"maxItems":1,"type":"array"},"version":{"description":"Version number of this stockAvailabilityThresholdConfig","minimum":1,"type":"integer"}},"required":["version"],"title":"StockAvailabilityThresholdConfigForUpdate","type":"object","description":"StockAvailabilityThresholdConfigForUpdate"},"StockAvailabilityThresholdConfigTarget":{"properties":{"context":{"description":"Targeting definition (context entries) this threshold configuration applies to","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigContext"},"maxItems":5,"type":"array"}},"required":["context"],"title":"StockAvailabilityThresholdConfigTarget","type":"object","description":"StockAvailabilityThresholdConfigTarget"},"StockAvailabilityThresholdConfigContext":{"properties":{"type":{"description":"Type of the targeted context entry","enum":["ARTICLE","CATEGORY","FACILITY","FACILITY_GROUP"],"type":"string"},"values":{"description":"Values for the targeted context entry","items":{"type":"string"},"maxItems":5,"type":"array"}},"required":["type","values"],"title":"StockAvailabilityThresholdConfigContext","type":"object","description":"StockAvailabilityThresholdConfigContext"},"StockAvailabilityThresholdConfigGroup":{"properties":{"levels":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigLevel"},"maxItems":5,"type":"array"},"thresholdOnValue":{"description":"Stock field this threshold group is evaluated against","enum":["AVAILABLE_FOR_PICKING","STOCK_ON_HAND"],"type":"string"}},"required":["thresholdOnValue","levels"],"title":"StockAvailabilityThresholdConfigGroup","type":"object","description":"StockAvailabilityThresholdConfigGroup"},"StockAvailabilityThresholdConfigLevel":{"properties":{"key":{"description":"Unique key of a threshold level within its group","type":"string"},"limit":{"description":"Cutoff stock quantity of a threshold level","minimum":0,"type":"integer"},"sticker":{"allOf":[{"$ref":"#/components/schemas/Sticker"}],"description":"UI displays for stock that falls into this threshold level"}},"required":["key","limit"],"title":"StockAvailabilityThresholdConfigLevel","type":"object","description":"StockAvailabilityThresholdConfigLevel"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"StockAvailabilityThresholdConfig":{"properties":{"created":{"description":"Creation date of this stockAvailabilityThresholdConfig","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this stockAvailabilityThresholdConfig","type":"string"},"lastModified":{"description":"Last modification date of this stockAvailabilityThresholdConfig","format":"date-time","type":"string"},"target":{"allOf":[{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigTarget"}],"description":"Targeting definition (context entries) this threshold configuration applies to"},"tenantThresholdId":{"description":"Tenant-unique identifier of this threshold configuration","type":"string"},"thresholds":{"description":"List of threshold level groups, each evaluated against a distinct stock field. Currently limited to a single entry.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigGroup"},"maxItems":1,"type":"array"},"version":{"description":"Version number of this stockAvailabilityThresholdConfig","type":"number"}},"required":["target","thresholds","id","version","created","lastModified"],"title":"StockAvailabilityThresholdConfig","type":"object","description":"StockAvailabilityThresholdConfig"},"StockAvailabilityThresholdConfigValidationError":{"properties":{"description":{"description":"The version provided within an invalid request.","type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"description":"One or more mandatory attributes were not provided.","type":"string"},"validations":{"description":"The business validation issues that prevented the threshold configuration from being saved.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigValidationIssue"},"type":"array"},"version":{"format":"int64","type":"integer"}},"required":["summary","validations"],"title":"StockAvailabilityThresholdConfigValidationError","type":"object","description":"StockAvailabilityThresholdConfigValidationError"},"StockAvailabilityThresholdConfigValidationIssue":{"properties":{"field":{"description":"The field that failed validation, if the issue can be attributed to a single field.","type":"string"},"message":{"description":"A human-readable description of the validation failure.","type":"string"}},"required":["message"],"title":"StockAvailabilityThresholdConfigValidationIssue","type":"object","description":"StockAvailabilityThresholdConfigValidationIssue"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/availability/thresholds/{thresholdId}":{"put":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Updates an existing stock availability threshold configuration.","operationId":"putStockAvailabilityThresholdConfig","parameters":[{"in":"path","name":"thresholdId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfig"}}},"description":"The updated stock availability threshold configuration"},"400":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigValidationError"},"type":"array"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"A version conflict occurred."}},"summary":"Update stock availability threshold configuration","tags":["Stock availability thresholds"]}}}}
```

## Delete stock availability threshold configuration

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Deletes a stock availability threshold configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read stock availability thresholds.","name":"Stock availability thresholds"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/availability/thresholds/{thresholdId}":{"delete":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Deletes a stock availability threshold configuration.","operationId":"deleteStockAvailabilityThresholdConfig","parameters":[{"in":"path","name":"thresholdId","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"The stock availability threshold configuration was found & deleted."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete stock availability threshold configuration","tags":["Stock availability thresholds"]}}}}
```

## Search stock availability threshold configurations

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Search for StockAvailabilityThresholdConfig

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read stock availability thresholds.","name":"Stock availability thresholds"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"StockAvailabilityThresholdConfigSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"StockAvailabilityThresholdConfigSearchPayload","type":"object","description":"StockAvailabilityThresholdConfigSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"StockAvailabilityThresholdConfigSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigSearchQuery"},"maxItems":500,"type":"array"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"or":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigSearchQuery"},"maxItems":500,"type":"array"},"tenantThresholdId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantThresholdId"}},"title":"StockAvailabilityThresholdConfigSearchQuery","type":"object","description":"StockAvailabilityThresholdConfigSearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"StockAvailabilityThresholdConfigSort":{"properties":{"id":{"enum":["ASC","DESC"],"type":"string"}},"title":"StockAvailabilityThresholdConfigSort","type":"object","description":"StockAvailabilityThresholdConfigSort"},"StockAvailabilityThresholdConfigPaginatedResult":{"properties":{"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"stockAvailabilityThresholdConfigs":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfig"},"type":"array"},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","stockAvailabilityThresholdConfigs"],"title":"StockAvailabilityThresholdConfigPaginatedResult","type":"object","description":"StockAvailabilityThresholdConfigPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"StockAvailabilityThresholdConfig":{"properties":{"created":{"description":"Creation date of this stockAvailabilityThresholdConfig","format":"date-time","type":"string"},"id":{"description":"Unique identifier of this stockAvailabilityThresholdConfig","type":"string"},"lastModified":{"description":"Last modification date of this stockAvailabilityThresholdConfig","format":"date-time","type":"string"},"target":{"allOf":[{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigTarget"}],"description":"Targeting definition (context entries) this threshold configuration applies to"},"tenantThresholdId":{"description":"Tenant-unique identifier of this threshold configuration","type":"string"},"thresholds":{"description":"List of threshold level groups, each evaluated against a distinct stock field. Currently limited to a single entry.","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigGroup"},"maxItems":1,"type":"array"},"version":{"description":"Version number of this stockAvailabilityThresholdConfig","type":"number"}},"required":["target","thresholds","id","version","created","lastModified"],"title":"StockAvailabilityThresholdConfig","type":"object","description":"StockAvailabilityThresholdConfig"},"StockAvailabilityThresholdConfigTarget":{"properties":{"context":{"description":"Targeting definition (context entries) this threshold configuration applies to","items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigContext"},"maxItems":5,"type":"array"}},"required":["context"],"title":"StockAvailabilityThresholdConfigTarget","type":"object","description":"StockAvailabilityThresholdConfigTarget"},"StockAvailabilityThresholdConfigContext":{"properties":{"type":{"description":"Type of the targeted context entry","enum":["ARTICLE","CATEGORY","FACILITY","FACILITY_GROUP"],"type":"string"},"values":{"description":"Values for the targeted context entry","items":{"type":"string"},"maxItems":5,"type":"array"}},"required":["type","values"],"title":"StockAvailabilityThresholdConfigContext","type":"object","description":"StockAvailabilityThresholdConfigContext"},"StockAvailabilityThresholdConfigGroup":{"properties":{"levels":{"items":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigLevel"},"maxItems":5,"type":"array"},"thresholdOnValue":{"description":"Stock field this threshold group is evaluated against","enum":["AVAILABLE_FOR_PICKING","STOCK_ON_HAND"],"type":"string"}},"required":["thresholdOnValue","levels"],"title":"StockAvailabilityThresholdConfigGroup","type":"object","description":"StockAvailabilityThresholdConfigGroup"},"StockAvailabilityThresholdConfigLevel":{"properties":{"key":{"description":"Unique key of a threshold level within its group","type":"string"},"limit":{"description":"Cutoff stock quantity of a threshold level","minimum":0,"type":"integer"},"sticker":{"allOf":[{"$ref":"#/components/schemas/Sticker"}],"description":"UI displays for stock that falls into this threshold level"}},"required":["key","limit"],"title":"StockAvailabilityThresholdConfigLevel","type":"object","description":"StockAvailabilityThresholdConfigLevel"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/availability/thresholds/search":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Search for StockAvailabilityThresholdConfig","operationId":"searchStockAvailabilityThresholdConfig","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockAvailabilityThresholdConfigPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Search stock availability threshold configurations","tags":["Stock availability thresholds"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/stock-availability-thresholds.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
